- Qbs Manual
- QbsConvenienceItems
- CppStd
- Qbs 3.3.1

CppApplication ◦ DynamicLibrary

# CppStd

A helper product for building C++ std modules. More...

Since: | Qbs 3.1
Inherits: | StaticLibrary

- List of all members, including inherited members
- CppStd is part of List of All Items.

## Properties

- useStdCompat : bool `(since Qbs 3.1)`

## Detailed Description

The dependencies of this product gain access to the `std` named module.

An example usage:

     Project {
         CppStd {}
         CppApplication {
             Depends { name: "CppStd" }
         }
     }

See the C++20 Modules page in the tutorial for details.

## Property Documentation

### useStdCompat : bool `[since Qbs 3.1]`

Whether to build the `std.compat` module.

Default: `false`

This property was introduced in Qbs 3.1.